Delete payment
curl --request DELETE \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-payment/cart/{cartId}/payment/{paymentId} \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-payment/cart/{cartId}/payment/{paymentId}"
headers = {"x-site-context": "<x-site-context>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-site-context': '<x-site-context>'}};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-payment/cart/{cartId}/payment/{paymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"billToAddress": {
"name": {
"first": "John",
"last": "Smith"
},
"email": "user1@gmail.com",
"phone": {
"number": "3334445555",
"kind": "Mobile"
},
"street1": "1000 main street",
"city": "Seattle",
"state": "WA",
"country": "US",
"zipCode": "98101",
"street2": "1000 main street"
},
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z",
"paymentDetails": {
"transactionDetails": {
"paymentType": "CARD_STRIPE",
"paymentToken": "pi_1IyMGc2YBvYaVyBQNkOiCE3E"
},
"paymentStatus": {
"cardHolderFullName": "First Last",
"paymentMethod": "visa",
"last4": "4242",
"amountCapturable": 99900,
"status": "succeeded"
},
"amount": 999,
"currency": "USD"
},
"version": 0,
"cartId": "60b90dd7308ded0008ee3c5d",
"isValid": false,
"__v": 0
}Payments
Delete payment
Delete payment
DELETE
/
api-payment
/
cart
/
{cartId}
/
payment
/
{paymentId}
Delete payment
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
Cart ID
Required string length:
24Example:
"5f8f0da2d4cc8e00084b9e8e"
Payment Id.
Required string length:
24Example:
"8e9f0da2d4cc8e11184b9e8e"
Response
Delete payment
Show child attributes
Show child attributes
Example:
"5fee9d59f2f08a1b3cbdea08"
Example:
"2020-12-31T02:09:53.914Z"
Example:
"2020-12-31T02:09:53.914Z"
Show child attributes
Show child attributes
Example:
0
Example:
"60b90dd7308ded0008ee3c5d"
Example:
false
Example:
0
Was this page helpful?
